### Method

# Gegl Pathforeach_flat

#### Declaration [src]

    void
    gegl_path_foreach_flat (
      GeglPath* path,
      GeglNodeFunction each_item,
      gpointer user_data
    )

#### Description [src]

Execute a provided function for the segments of a poly line approximating the path.

#### Parameters

`each_item`

  Type: `GeglNodeFunction`

  A function to call for each node in the path.

`user_data`

  Type: `gpointer`

  User data to pass to a node.

  The argument can be `NULL`.
  The data is owned by the caller of the method.